
/****** Object:  StoredProcedure [dbo].[upd_doc_estadoTipoDocumento]    Script Date: 21/11/2019 11:48:36 a.m. ******/
DROP PROCEDURE [dbo].[upd_doc_estadoTipoDocumento]
GO

/****** Object:  StoredProcedure [dbo].[upd_doc_estadoTipoDocumento]    Script Date: 21/11/2019 11:48:36 a.m. ******/
SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER OFF
GO

CREATE PROCEDURE [dbo].[upd_doc_estadoTipoDocumento]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_estadoTipoDocumento varchar(300) = null,
		@p_estadoTipoDocumento_codigo varchar(100) = null,
		@p_afectaIndicador bit = null,
		@p_editaDocumento bit = null,
		@p_orden int = null,
		@p_puedeRegresar bit = null,
		@p_color varchar(6) = null,
		@p_afectaInventario bit = null,
		@p_id_tipoDocumento int = null,
		@p_descripcion varchar(500) = null,
		@p_observacionesObligatorio bit= null,
		@p_motivoObligatorio bit= null
AS
BEGIN
		UPDATE [doc_estadoTipoDocumento]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[estadoTipoDocumento] = isnull(@p_estadoTipoDocumento,[estadoTipoDocumento]),
			[estadoTipoDocumento_codigo] = isnull(@p_estadoTipoDocumento_codigo,[estadoTipoDocumento_codigo]),
			[afectaIndicador] = isnull(@p_afectaIndicador,[afectaIndicador]),
			[editaDocumento] = isnull(@p_editaDocumento,[editaDocumento]),
			[orden] = isnull(@p_orden,[orden]),
			[puedeRegresar] = isnull(@p_puedeRegresar,[puedeRegresar]),
			[color] = isnull(@p_color,[color]),
			[afectaInventario] = isnull(@p_afectaInventario,[afectaInventario]),
			[id_tipoDocumento] = isnull(@p_id_tipoDocumento,[id_tipoDocumento]),
			[descripcion] = isnull(@p_descripcion,[descripcion]),
			[observacionesObligatorio] = isnull(@p_observacionesObligatorio,[observacionesObligatorio]),
			[motivoObligatorio]= isnull(@p_motivoObligatorio,[motivoObligatorio])
		WHERE (id = @p_id)
END

GO


